Subject: Re: Tests
From: Saurabh Dadu <[email-masked]>
To: Kieran Harris <[email-masked]>, Sahil Modgil Consultant - IT <[email-masked]>
Cc: "Weibrecht, Karen (AE/GVM)" <[email-masked]>, "'Chris Barnes' ([email-masked])" <[email-masked]>, "Joshi, Pooja (AE/GAM)" <[email-masked]>, Ashwinee Latchayya <[email-masked]>
Date: Wed, 25 Nov 2020 08:41:11 +0000

@Sahil Modgil Consultant - IT<mailto:[email-masked]>  Please check the info requested by Kieran below and send him

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Kieran Harris <[email-masked]>
Sent: 25 November 2020 2:09 PM
To: Sahil Modgil Consultant - IT <[email-masked]>
Cc: Saurabh Dadu <[email-masked]>; Weibrecht, Karen (AE/GVM) <[email-masked]>; 'Chris Barnes' ([email-masked]) <[email-masked]>; Joshi, Pooja (AE/GAM) <[email-masked]>
Subject: Re: Tests

@Saurabh

Can you let us know what the enquiry type was for this lead

Name ENGINEER MOHAMED ALSHAAR

Kind regards / شاكرين لكم على حسن تعاونكم / Viele Grüsse

Kieran Harris
Web and IT Department

TheProject Media & Advertising
South Africa
Tel: +27-11-646-06-16
Mail: [email-masked]<mailto:[email-masked]>
Web: theproject.co.za<http://theproject.co.za/>

On Nov 25, 2020, at 10:37, Kieran Harris <[email-masked]<mailto:[email-masked]>> wrote:

Hi all

Both payloads are working fine.

In terms of integration I think there are no issues.

@Karen if you do a test on the actual chat widget we can test if its coming through.

The only thing I can think of so far is if the enquiry type is for customer care.

We will have another look

Kind regards / شاكرين لكم على حسن تعاونكم / Viele Grüsse

Kieran Harris
Web and IT Department

TheProject Media & Advertising
South Africa
Tel: +27-11-646-06-16
Mail: [email-masked]<mailto:[email-masked]>
Web: theproject.co.za<http://theproject.co.za/>

On Nov 25, 2020, at 10:32, Kieran Harris <[email-masked]<mailto:[email-masked]>> wrote:

Thanks we will test

Kind regards / شاكرين لكم على حسن تعاونكم / Viele Grüsse

Kieran Harris
Web and IT Department

TheProject Media & Advertising
South Africa
Tel: +27-11-646-06-16
Mail: [email-masked]<mailto:[email-masked]>
Web: theproject.co.za<http://theproject.co.za/>

On Nov 25, 2020, at 10:30, Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>> wrote:

Hi Kieran,

Can you check the attached payloads.

From: Kieran Harris <[email-masked]<mailto:[email-masked]>>
Sent: 25 November 2020 01:57 PM
To: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>
Cc: Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>>; Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>>; 'Chris Barnes' ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Joshi, Pooja (AE/GAM) <[email-masked]<mailto:[email-masked]>>
Subject: Re: Tests

Hi Saurabh

This is a big job that can effect all other integrations.

We have been able to test without doing this in the past.

On master sheet there is a dedicated tab only for live chat.

On salesforce it's not possible to create another sheet, as that means potentially weeks more work for the salesforce team to adjust.

Kind regards / شاكرين لكم على حسن تعاونكم / Viele Grüsse

Kieran Harris
Web and IT Department

TheProject Media & Advertising
South Africa
Tel: +27-11-646-06-16
Mail: [email-masked]<mailto:[email-masked]>
Web: theproject.co.za<http://theproject.co.za/>

On Nov 25, 2020, at 10:20, Saurabh Dadu <[email-masked]<mailto:[email-masked]>> wrote:

HI Kieran,

Can you please duplicate the 2 Google Sheets - for us (master sheet, and Salesforce sheet) which only has leads sent by Live Chat, this would really help us iron out.

Since the sheets will only have leads from Live Chat, there should be no data security issue.

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>>
Sent: 25 November 2020 1:18 PM
To: Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>>; Saurabh Dadu <[email-masked]<mailto:[email-masked]>>; Kieran Harris <[email-masked]<mailto:[email-masked]>>
Cc: 'Chris Barnes' ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Joshi, Pooja (AE/GAM) <[email-masked]<mailto:[email-masked]>>
Subject: RE: Tests

Ok just did another test now myself for Kuwait and this one doesn’t appear on the salesforce sheet.
@Kieran, can you please check?

Also there are more KSA leads which are not appearing in Salesforce but are on the googlesheet.
I asked the team to check and also if we can all get on a call to iron all issues out as this back and forth is taking a lot of time at the moment.

From: Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>>
Sent: 25 November 2020 09:46
To: Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>>; Saurabh Dadu <[email-masked]<mailto:[email-masked]>>; Kieran Harris <[email-masked]<mailto:[email-masked]>>
Cc: 'Chris Barnes' ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Joshi, Pooja (AE/GAM) <[email-masked]<mailto:[email-masked]>>
Subject: RE: Tests

Hi Karen,

Issue is fixed. That was due to the time being sent empty.
Apologies as I missed it yesterday. I have fixed as we discussed ( if the time is Empty - please set this as 09:00 and date as next day )

From: Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>>
Sent: 25 November 2020 10:52 AM
To: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>; Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>>; Kieran Harris <[email-masked]<mailto:[email-masked]>>
Cc: 'Chris Barnes' ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Joshi, Pooja (AE/GAM) <[email-masked]<mailto:[email-masked]>>
Subject: RE: Tests

Waleed Al Sawi

From: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>
Sent: 25 November 2020 09:13
To: Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>>; Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>>; Kieran Harris <[email-masked]<mailto:[email-masked]>>
Cc: 'Chris Barnes' ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Joshi, Pooja (AE/GAM) <[email-masked]<mailto:[email-masked]>>
Subject: Re: Tests

Hi Karen,

Checking. Can you please give me an example (Name of the lead) to check the specific data?

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>>
Sent: 25 November 2020 10:35 AM
To: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>; Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>>; Kieran Harris <[email-masked]<mailto:[email-masked]>>
Cc: 'Chris Barnes' ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Joshi, Pooja (AE/GAM) <[email-masked]<mailto:[email-masked]>>
Subject: RE: Tests

Good morning Saurabh,
There is an issue with the data.
The leads are not pushing into salesforce as the format for test drive date and time are not correct.

Please see attached.
Can you please check on your end and make sure that this is amended?
Thanks
Karen

From: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>
Sent: 24 November 2020 16:56
To: Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>>; Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>>; Kieran Harris <[email-masked]<mailto:[email-masked]>>
Cc: 'Chris Barnes' ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Joshi, Pooja (AE/GAM) <[email-masked]<mailto:[email-masked]>>
Subject: Re: Tests

Hi Karen - and is the data consistent between Salesforce sheet, and non-salesforce sheet?

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>>
Sent: 24 November 2020 6:23 PM
To: Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>>; Saurabh Dadu <[email-masked]<mailto:[email-masked]>>; Kieran Harris <[email-masked]<mailto:[email-masked]>>
Cc: 'Chris Barnes' ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Joshi, Pooja (AE/GAM) <[email-masked]<mailto:[email-masked]>>
Subject: RE: Tests

HI Sahil
Until now we have 50 leads from you for VW for today (incl. all testing ones)

Thanks

From: Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>>
Sent: 24 November 2020 11:59
To: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>; Kieran Harris <[email-masked]<mailto:[email-masked]>>
Cc: Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>>; 'Chris Barnes' ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Joshi, Pooja (AE/GAM) <[email-masked]<mailto:[email-masked]>>
Subject: RE: Tests

Ok, I’ll do that and test both of them as well.

From: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>
Sent: 24 November 2020 01:27 PM
To: Kieran Harris <[email-masked]<mailto:[email-masked]>>
Cc: Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>>; Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>>; 'Chris Barnes' ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Joshi, Pooja (AE/GAM) <[email-masked]<mailto:[email-masked]>>
Subject: Re: Tests

@Sahil Modgil Consultant - IT<mailto:[email-masked]> -

Please map UAE Dubai to - Dubai and UAE Abu Dhabi to Abu Dhabi as suggested in Kieran's email below

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Kieran Harris <[email-masked]<mailto:[email-masked]>>
Sent: 24 November 2020 1:24 PM
To: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>
Cc: Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>>; Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>>; 'Chris Barnes' ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Joshi, Pooja (AE/GAM) <[email-masked]<mailto:[email-masked]>>
Subject: Re: Tests

Hi all

On our side if the country doesn’t match the correct list it defaults to Middle East.

Please make sure to only use a country from this list as UAE Dubai won’t work.

  *   Abu Dhabi
  *   Bahrain
  *   Dubai
  *   Kuwait
  *   Saudi Arabia
  *   Oman
  *   Qatar
  *   Jordan
  *   Lebanon

Kind regards / شاكرين لكم على حسن تعاونكم / Viele Grüsse

Kieran Harris
Web and IT Department

TheProject Media & Advertising
South Africa
Tel: +27-11-646-06-16
Mail: [email-masked]<mailto:[email-masked]>
Web: theproject.co.za<http://theproject.co.za/>

On Nov 24, 2020, at 09:49, Saurabh Dadu <[email-masked]<mailto:[email-masked]>> wrote:

Dear Kieran,

We don't have Middle East as a region configured at our end.

We confirm - for us the Lead was UAE Dubai.

Sahil -can you share the JSON payload that was sent to Kieran?

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Kieran Harris <[email-masked]<mailto:[email-masked]>>
Sent: 24 November 2020 1:09 PM
To: Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>>
Cc: Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>>; Saurabh Dadu <[email-masked]<mailto:[email-masked]>>; 'Chris Barnes' ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Joshi, Pooja (AE/GAM) <[email-masked]<mailto:[email-masked]>>
Subject: Re: Tests

Hi Karen

From our side, it won’t go into region sheet because its set as Middle East.

@Saurabh, I think Middle East is from your end, if on the ME site maybe?

I think we have to try and get the actual country from each lead.

Thanks

Kind regards / شاكرين لكم على حسن تعاونكم / Viele Grüsse

Kieran Harris
Web and IT Department

TheProject Media & Advertising
South Africa
Tel: +27-11-646-06-16
Mail: [email-masked]<mailto:[email-masked]>
Web: theproject.co.za<http://theproject.co.za/>

On Nov 24, 2020, at 08:41, Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>> wrote:

Hi Sahil and Kieran,

I just did a test on Dubai:
1.      Region is stated as Middle East for some reason although URL also says Dubai
2.      Lead only appears in Master sheet but not the market specific Dubai sheet
MariaMueler is the name I used. Also I didn’t provide an Email – can we rather write N/A instead of xyz

@Kieran, please confirm whether this would cause an issue first.

Thanks
Karen

From: Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>>
Sent: 23 November 2020 15:35
To: Kieran Harris <[email-masked]<mailto:[email-masked]>>
Cc: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>; 'Chris Barnes' ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>>; Joshi, Pooja (AE/GAM) <[email-masked]<mailto:[email-masked]>>
Subject: RE: Tests

Hi Kieran,

Can you please share screenshot or json for what you have received ? because we are using same function and code on our end to send api request.

From: Kieran Harris <[email-masked]<mailto:[email-masked]>>
Sent: 23 November 2020 05:02 PM
To: Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>>
Cc: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>; 'Chris Barnes' ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>>; Joshi, Pooja (AE/GAM) <[email-masked]<mailto:[email-masked]>>
Subject: Re: Tests

Hi Sahil

Tests are fine, however I asked Chris to let you know that Audi times and dates are not correct. I am sure you discussed this in call.

Thanks

Kind regards / شاكرين لكم على حسن تعاونكم / Viele Grüsse

Kieran Harris
Web and IT Department

TheProject Media & Advertising
South Africa
Tel: +27-11-646-06-16
Mail: [email-masked]<mailto:[email-masked]>
Web: theproject.co.za<http://theproject.co.za/>

On Nov 23, 2020, at 12:02, Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>> wrote:

Hi Kieran,

I have done the tests. Please check and let me know if you found any issues.
All tests done we with my name and my email so you can differentiate.

From: Kieran Harris <[email-masked]<mailto:[email-masked]>>
Sent: 23 November 2020 02:12 PM
To: Sahil Modgil Consultant - IT <[email-masked]<mailto:[email-masked]>>
Cc: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>; 'Chris Barnes' ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Weibrecht, Karen (AE/GVM) <[email-masked]<mailto:[email-masked]>>; Joshi, Pooja (AE/GAM) <[email-masked]<mailto:[email-masked]>>
Subject: Tests

Hi Sahil let me know when the tests are done.

Please do one for each Type and do all types.
Please then do one test for Kuwait and then one general test for Audi.

Thanks

Kind regards / شاكرين لكم على حسن تعاونكم / Viele Grüsse

Kieran Harris
Web and IT Department

TheProject Media & Advertising
South Africa
Tel: +27-11-646-06-16
Mail: [email-masked]<mailto:[email-masked]>
Web: theproject.co.za<http://theproject.co.za/>

<kuwait-payloads.json>